Productsup

List connectors form bin

Integrators can only list their own connectors from bin

Sign in to run requests against the CDE API.
GET
/connectors/bin

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Query Parameters

name?string

filter by connector name

owners?string

filter by owner's uuid

from?integer

starting item

limit?integer

items per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors/bin"
{
  "data": [
    {
      "id": "a5919275-736a-41ba-8332-b3db1de6bf37",
      "type": "datasource",
      "name": "connector1",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4031-7223-8ba6-7e00fb9109cc",
      "integrator": "01a10fc8-4031-7223-8ba6-7e00fb9109cc",
      "versions": [
        {
          "name": "connector1",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "6.37.30"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "6.37.30"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "c793b0c8-5624-41d5-bfe3-336bc5ea331b",
      "type": "datasource",
      "name": "connector2",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4031-7223-8ba6-7e00fb9109cc",
      "integrator": "01a10fc8-4031-7223-8ba6-7e00fb9109cc",
      "versions": [
        {
          "name": "connector2",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "17.15.63"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "17.15.63"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "f68c8b4f-8443-4cb0-a152-21d562a7e247",
      "type": "datasource",
      "name": "connector3",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4031-7223-8ba6-7e00fb9109cc",
      "integrator": "01a10fc8-4031-7223-8ba6-7e00fb9109cc",
      "versions": [
        {
          "name": "connector3",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "8.10.8"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "8.10.8"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "ab326a32-8d12-4149-b635-2b8e7055e052",
      "type": "datasource",
      "name": "connector4",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4030-752a-8aa6-89d12a84be96",
      "integrator": "01a10fc8-4030-752a-8aa6-89d12a84be96",
      "versions": [
        {
          "name": "connector4",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "18.12.38"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "18.12.38"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "78711778-9d51-4e51-b2c8-d1f28c56bb1a",
      "type": "datasource",
      "name": "connector5",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4030-752a-8aa6-89d12a84be96",
      "integrator": "01a10fc8-4030-752a-8aa6-89d12a84be96",
      "versions": [
        {
          "name": "connector5",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "16.40.27"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "16.40.27"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "86e602b9-cdc2-40e1-9f11-5e95c7dbca2a",
      "type": "datasource",
      "name": "connector6",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-402f-7916-a32f-ad450b976297",
      "integrator": "01a10fc8-402f-7916-a32f-ad450b976297",
      "versions": [
        {
          "name": "connector6",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "8.24.41"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "8.24.41"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "84fa012f-9828-4067-8943-7a6ea6bdf700",
      "type": "datasource",
      "name": "connector7",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4032-7851-a54f-7b5c632b6613",
      "integrator": "01a10fc8-4032-7851-a54f-7b5c632b6613",
      "versions": [
        {
          "name": "connector7",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "13.37.89"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "13.37.89"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "227451f0-e22b-4b99-8b87-8587dc2c47cc",
      "type": "datasource",
      "name": "connector8",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4034-701d-87ca-e4cad933ec26",
      "integrator": "01a10fc8-4034-701d-87ca-e4cad933ec26",
      "versions": [
        {
          "name": "connector8",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "4.1.14"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "4.1.14"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "3e3bd72a-1cdf-4fd2-9142-34adf8b8e1ed",
      "type": "datasource",
      "name": "connector9",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4036-7ba1-a2be-5bf543c0bffe",
      "integrator": "01a10fc8-4036-7ba1-a2be-5bf543c0bffe",
      "versions": [
        {
          "name": "connector9",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "12.19.72"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "12.19.72"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "18ac2dc5-fc3a-4ebc-8cc6-deb7edbc514a",
      "type": "datasource",
      "name": "connector10",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4034-701d-87ca-e4cad933ec26",
      "integrator": "01a10fc8-4034-701d-87ca-e4cad933ec26",
      "versions": [
        {
          "name": "connector10",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "11.37.14"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "11.37.14"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "8c5335f9-5eb3-41b9-807c-708fd1639e1f",
      "type": "datasource",
      "name": "connector11",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-4037-7e2a-86fe-48772165c232",
      "integrator": "01a10fc8-4037-7e2a-86fe-48772165c232",
      "versions": [
        {
          "name": "connector11",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "20.22.39"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "20.22.39"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    },
    {
      "id": "a5f7a531-5a8b-4d0a-9e52-9fef3b9c6773",
      "type": "datasource",
      "name": "admin-connector",
      "description": null,
      "readme": null,
      "flow": "default",
      "main-version-number": null,
      "owner": "01a10fc8-402e-7a8b-b954-5544438ee0d7",
      "integrator": "01a10fc8-402e-7a8b-b954-5544438ee0d7",
      "versions": [
        {
          "name": "admin-connector",
          "description": null,
          "readme": null,
          "version": "1.0.0",
          "logo": null,
          "created-at": "2026-10-06T07:55:44+02:00",
          "updated-at": "2026-10-06T07:55:44+02:00",
          "deleted-at": "2026-10-06T07:55:44+02:00",
          "state": "created",
          "config": {
            "update-progress": [],
            "secret-registrations": [],
            "authentication-registrations": [],
            "authentication-registrations-additional-fields": [],
            "application": null,
            "vcs": null,
            "docker": {
              "image-name": null,
              "image-tag": null,
              "registry-url": null
            },
            "individuals": [],
            "migration": null,
            "execution": {
              "execution-mode": "as-env-variables",
              "run-timeout-tier": "standard",
              "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
              "docker-host": null,
              "container-api": {
                "image": null,
                "version-constraint": "^9.9.9"
              }
            },
            "export": null,
            "data-service": null,
            "datasource": {
              "categories": []
            },
            "buckets": [],
            "feature-flags": [],
            "container-api-config": null
          },
          "platform_dev_reference": {
            "account": null,
            "project": null,
            "executable": null,
            "platform-connector": null,
            "site": null,
            "site-processing-cluster": null,
            "assigned-to-site": null,
            "assigned-to-channel": null,
            "assigned-to-channel-site": null,
            "assigned-to-channel-site-destination": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "15.28.80"
            }
          },
          "platform_prod_reference": {
            "executable": null,
            "platform-connector": null,
            "target-accounts": [],
            "target-projects": [],
            "target-sites": [],
            "enabled-for-accounts": [],
            "enabled-for-projects": [],
            "enabled-for-sites": [],
            "assigned-to-sites": [],
            "released": false,
            "version": null,
            "runtime": {
              "environment": "bin-docker-wrapper",
              "version": "15.28.80"
            }
          },
          "prod_config": null,
          "dev_config": null
        }
      ],
      "main": null
    }
  ],
  "metadata": {
    "from": 0,
    "limit": 100,
    "count": 12,
    "total": 12,
    "next": null
  },
  "message": "successful operation",
  "resource": "connector"
}
{
  "message": "Invalid connector user identifier.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}